Bug 54871 - print status twice when using "--user" parameter
Summary: print status twice when using "--user" parameter
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-22 09:29 UTC by Daniel Chan
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-22 09:29:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:022 normal SHIPPED_LIVE New initscripts packages available for Red Hat Linux 7.2 2002-02-06 05:00:00 UTC

Description Daniel Chan 2001-10-22 09:29:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. daemon --user ois tomcat start

	

Additional info:

= /etc/rc.d/init.d/functions =========================================
        # And start it up.
        if [ -z "$user" ]; then
           $nice initlog $INITLOG_ARGS -c "$*"
        else
           $nice initlog $INITLOG_ARGS -c "su - $user -c \"$*\"" && 
success $"$b
ase startup" || failure $"$base startup"
        fi
        [ $? = 0 ] && success $"$base startup" || failure $"$base startup"
= EOF ================================================================

print status twice when using "--user" parameter.

Comment 1 Bill Nottingham 2002-01-25 04:50:32 UTC
Fixed in 6.51-1, thanks!


Note You need to log in before you can comment on or make changes to this bug.